DeleteComment
curl --request DELETE \
--url https://developer.synq.io/api/incidents/v1/{incident_id}/comment/{comment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
}
}
'import requests
url = "https://developer.synq.io/api/incidents/v1/{incident_id}/comment/{comment_id}"
payload = { "actor": {
"name": "<string>",
"email": { "userEmail": "jsmith@example.com" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}}})
};
fetch('https://developer.synq.io/api/incidents/v1/{incident_id}/comment/{comment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.incidents.v1.IncidentsService
DeleteComment
Delete a comment on an incident. Only the actor who posted the comment may delete it. Deleting an already-deleted comment succeeds.
DELETE
/
api
/
incidents
/
v1
/
{incident_id}
/
comment
/
{comment_id}
DeleteComment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the incident the comment is on.
ID of the comment to delete, as returned by PostComment or read from the incident's comments.
Body
application/json
Actor deleting the comment. Must match the actor that posted it.
- Actor
- Actor
- Actor
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type DeleteCommentResponse · object.